%define name	kpopup
%define version	0.9.8.1
%define	release	%mkrel 1

Name:		%{name}
Summary:	KDE tool for sending and receiving WinPopup messages
Version:	%{version}
Release:	%{release}
URL:		http://www.henschelsoft.de/
Source0:	http://www.henschelsoft.de/kpopup/%{name}-%{version}.tar.bz2
Patch0:		kpopup-0.9.7-longtitle-fix.patch.bz2
License:	GPL
Group:		Graphical desktop/KDE

Requires:	samba-client
#PreReq:	rpm-helper
#Conflicts:	ipmasq, knetfilter, firewall-easy, shorewall, firewall-init

BuildRequires:  qt3-devel zlib-devel XFree86-devel kdelibs-devel
BuildRequires:  png-devel jpeg-devel libart_lgpl-devel arts-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
This application is a KDE replacement for Microsoft(tm) WinPopup on
Windows. It can send and receive WinPopup messages with Samba.

This RPM release requires manual user configuration:
Once the package is installed, please add or update this line in
%{_sysconfdir}/samba/smb.conf:

  message command = sh -c '%{_bindir}/%{name} %%s %%f' &


%prep
%setup -q
%patch0 -p1

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x	--disable-debug \
		--enable-final \
		--disable-rpath \
		--with-gnu-ld \
		--with-pic \
		--with-xinerama
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
# Mandrake menu support:
install -d %buildroot%{_menudir}/
kdedesktop2mdkmenu.pl %{name} "Networking/Instant messaging" $RPM_BUILD_ROOT%{_datadir}/applications/kde/kpopup.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde

#(peroyvind) Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
#(peroyvind) fix icons for other wm's
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,0755)
%attr(04755,root,root) %{_bindir}/%{name}
%dir %{_docdir}/HTML/en/%{name}
%doc %{_docdir}/HTML/en/%{name}/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/kde/kpopup.desktop
%{_bindir}/receivepopup.sh

%changelog
* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.8.1-1mdk
- New release 0.9.8.1
- Fix Source0

* Wed Apr 27 2005 Nicolas lcureuil <neoclust@mandriva.org> 0.9.7-2mdk
- Fix build  for AMD64

* Tue Jun 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.7-1mdk
- 0.9.7
- spec cleanup

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-0.pre2.2mdk
- Rebuild

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-0.pre2.1mdk
- 0.9.6-pre2

* Wed Nov 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6-0.pre1.1mdk
- 0.9.6pre1
- fix buildrequires (lib64..)
- drop P0 & P2 (fixed upstream)
- drop P1 & S1, for some reason po files has been removed upstream..
- regenerated P3

* Wed Sep 03 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.5-0.pre2.6mdk
- Relax samba requires (no supported distro has samba-client < 2.0.0) so
  it will work with samba3-client.

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-0.pre2.5mdk
- Rebuild

* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-0.pre2.4mdk
- cleanups

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-0.pre2.3mdk
- fix buildrequires

* Thu Apr 03 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.5-0.pre2.2mdk
- rm -rf buildroot in install stage, not prep stage
- clean out unneeded variables etc.
- quiet setup
- crosscompile and cope with makeinstall issue(Patch2)
- added nb translation (Source1 and Patch1)
- fix buildrequires
- relativizta symlinks that rpm fails to
- fix icons for other wm's
- fix no-longtitle-in-menu (Patch3)

* Wed Mar 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-0.pre2.1mdk
- from Rmi Denis-Courmont <rdenis@simphalempin.com> :
	- initial RPM spec file
